Skip to content
Orion Docs
Talk to usNeed help?Get Started
Orion Data API v1.2 is deprecated. Use Orion Data API v1.3 for new integrations.

Sensor Data

Get sensor data

Orion Data API v1.2 · Deprecated

Deprecated
GET
/sensorData
curl --request GET \
--url 'https://api.oriondata.io/api/sensorData?startDate=2024-09-09&endDate=2024-09-16&offset=0&sensorIds=54321&softSensorIds=65432&version=1.2' \
--header 'Authorization: Bearer <token>'

Returns sensor readings for the supplied sensor and soft sensor IDs over a given period. Results are paginated; supply increasing offset values until an empty array is returned. At least one of sensorIds or softSensorIds must be supplied.

startDate
required
string format: date

The start of the period. Date (yyyy-MM-dd). DateTime values are supported from version 1.3.

Example

2024-09-09
endDate
required
string format: date

The end of the period. Date (yyyy-MM-dd). DateTime values are supported from version 1.3.

Example

2024-09-16
offset
required
integer

The page of results to return, starting at 0. Each page contains up to 100 records.

Example

0
sensorIds
Array<integer>

Comma-separated list of raw Sensor IDs. At least one of sensorIds or softSensorIds must be supplied.

Example

?sensorIds=54321
softSensorIds
Array<integer>

Comma-separated list of Soft Sensor IDs. At least one of sensorIds or softSensorIds must be supplied.

Example

?softSensorIds=65432
version
string

API version to target. Pin this to 1.2 for this version of the API; requests without it default to the lowest available version.

Example

1.2

An array of SensorData objects.

Media typeapplication/json
Array<object>
object
sensorId

The Sensor ID the data point belongs to.

integer
softSensorId

The Soft Sensor ID the data point belongs to. Null if the data point belongs to a raw sensor.

integer
nullable
readingDate

The reading timestamp in the Device’s local standard time. Devices do not observe daylight saving.

string format: date-time
sensorValue

The reading value.

number format: double

Example

[
{
"sensorId": 54321,
"softSensorId": null,
"readingDate": "2024-09-15T00:00:00",
"sensorValue": 1025
},
{
"sensorId": 54321,
"softSensorId": null,
"readingDate": "2024-09-15T00:15:00",
"sensorValue": 1025
},
{
"sensorId": 54321,
"softSensorId": null,
"readingDate": "2024-09-15T00:30:00",
"sensorValue": 1025.0999755859375
}
]

The server could not understand the request.

No valid token was provided.

Rate limit exceeded.